<?php
namespace common\helpers;

use PHPExcel_Cell;

class PHPExcel_Cell_MyDefaultValueBinder extends \PHPExcel_Cell_DefaultValueBinder
{
    /**
     * @inheritdoc
     */
    public function bindValue(PHPExcel_Cell $cell, $value = null)
    {
        if ($value instanceof \Closure) {
            return call_user_func($value, $cell);
        }
        return parent::bindValue($cell, $value);
    }
}